﻿<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
				xmlns:msxsl="urn:schemas-microsoft-com:xslt" 
				xmlns:websoft="http://www.websoft.ru" 
				version="1.0">
<!--
'*	sim_001_catalog.xsl
'*	Copyright (c) Websoft, 2006.  All rights reserved.
-->
<xsl:output method="xml" encoding="utf-8"/>
<xsl:param name="imagesFolder"></xsl:param>
<xsl:param name="moduleImagesFolder"></xsl:param>

<!--		 Template: Root    --> 

<xsl:template match="/">
  <scenario>
    <xsl:apply-templates select="params"/>
	</scenario>
</xsl:template>

<!--		 Template: Params    --> 

<xsl:template match="params">
  <commands>
    <command type="create_object">
      <object type="div" id="OBJ_0" left="7" top="37" width="226" height="290" display="frame" begin="0">
        <folder>Textboxes</folder>
        <template>002_textbox</template>
        <params>
          <textbox_profile>blue</textbox_profile>
          <textbox_text>
            &lt;ietext&gt;&lt;text&gt;
            &amp;lt;SPAN style=&amp;quot;FONT-FAMILY:Arial;FONT-SIZE:12px&amp;quot;&amp;gt;
            <xsl:for-each select="products/item">
              &amp;lt;P&amp;gt;• &amp;lt;A onclick=&amp;quot;processEvent(&amp;apos;hyperlink_[!GUID<xsl:value-of select="position()"/>]&amp;apos;);return false;&amp;quot; href=&amp;quot;#&amp;quot; _hyper=&amp;quot;<xsl:value-of select="position()"/>&amp;quot;&amp;gt;
              <xsl:value-of select="product_name"/>&amp;lt;/A&amp;gt;
              &amp;lt;/P&amp;gt;
            </xsl:for-each>
            &amp;lt;/SPAN&amp;gt;
            &lt;/text&gt;

            &lt;hyperlinks&gt;
            <xsl:for-each select="products/item">
              &lt;hyperlink id="<xsl:value-of select="position()"/>"&gt;
              &lt;events&gt;
              &lt;onclick type="actions" id="hyperlink_[!GUID<xsl:value-of select="position()"/>]"&gt;
              &lt;DISPLAY pid="GROUP_1" display="none" transition="0"/&gt;
              &lt;DISPLAY pid="OBJ_<xsl:value-of select="position()"/>" display="inline" transition="1"&gt;
              &lt;/DISPLAY&gt;
              &lt;/onclick&gt;
              &lt;/events&gt;
              &lt;/hyperlink&gt;
            </xsl:for-each>
            &lt;/hyperlinks&gt;
            &lt;/ietext&gt;
          </textbox_text>
          <textbox_margin>5</textbox_margin>
          <onclick_hide>no</onclick_hide>
          <typewriter>no</typewriter>
          <typewriter_speed>8</typewriter_speed>
        </params>
      </object>
    </command>

	  <xsl:for-each select="products/item">
    <command type="create_object">
			<object type="div" left="243" top="37" width="538" height="460" display="none" begin="0">
				<xsl:attribute name="id">OBJ_<xsl:value-of select="position()"/></xsl:attribute>
				<folder>Textboxes</folder>
				<template>002_textbox</template>
				<params>
					<textbox_profile>blue</textbox_profile>
					<textbox_text>
						&lt;ietext&gt;
						&lt;text&gt;

						&amp;lt;P align="center"&amp;gt;
							&amp;lt;SPAN style="FONT-SIZE:18px;COLOR:#000000;FONT-FAMILY:Arial"&amp;gt;
								&amp;lt;B&amp;gt;<xsl:value-of select="product_name"/>&amp;lt;/B&amp;gt;
							&amp;lt;/SPAN&amp;gt;
						&amp;lt;/P&amp;gt;

						&amp;lt;TABLE width="100%" border="0"&amp;gt;
							&amp;lt;TR&amp;gt;
								
								&amp;lt;TD width="200"&amp;gt;
									&amp;lt;IMG border=0 src=&amp;quot;<!--<xsl:value-of select="substring-before($moduleImagesFolder,'images\')"/>-->[!MODULE_IMAGES]<xsl:value-of select="substring(product_img, 8)"/>&amp;quot;&amp;gt;
								&amp;lt;/TD&amp;gt;
								
								&amp;lt;TD&amp;gt;
									<!--&amp;lt;SPAN style=&amp;quot;FONT-FAMILY:Arial;FONT-SIZE:12px&amp;quot;&amp;gt;-->

									<xsl:text disable-output-escaping="yes">&lt;![CDATA[</xsl:text>
									<xsl:value-of select="product_description"/>
									<xsl:text disable-output-escaping="yes">]]&gt;</xsl:text>

									<!--&amp;lt;/SPAN&amp;gt;-->
								&amp;lt;/TD&amp;gt;
							&amp;lt;/TR&amp;gt;
						&amp;lt;/TABLE&amp;gt;
						
					&lt;/text&gt;

					&lt;hyperlinks&gt;
						&lt;/hyperlinks&gt;
						&lt;/ietext&gt;
					</textbox_text>
					<textbox_margin>5</textbox_margin>
					<onclick_hide>no</onclick_hide>
					<typewriter>no</typewriter>
					<typewriter_speed>8</typewriter_speed>
				</params>
			</object>
    </command>
		</xsl:for-each>

			<!--<object type="iebox" id="TXT_1" left="7" top="37" width="226" height="290" display="frame" begin="0">
				<content>
					<xsl:text disable-output-escaping="yes">&lt;![CDATA[</xsl:text>
					<ietext>
						<text>
							&lt;SPAN style=&quot;FONT-FAMILY:Arial;FONT-SIZE:12px&quot;&gt;
							<xsl:for-each select="products/item">
								&lt;P&gt;• &lt;A onclick=&quot;processEvent(&apos;hyperlink_<xsl:value-of select="position()"/>&apos;);return false;&quot; href=&quot;#&quot; _hyper=&quot;<xsl:value-of select="position()"/>&quot;&gt;
								<xsl:value-of select="product_name"/>&lt;/A&gt;
								&lt;/P&gt;
							</xsl:for-each>
							&lt;/SPAN&gt;
						</text>
						
						<hyperlinks>
							<xsl:for-each select="products/item">
								<hyperlink>
								<xsl:attribute name="id"><xsl:value-of select="position()"/></xsl:attribute>
								<events>
									<onclick type="actions">
										<xsl:attribute name="id">hyperlink_<xsl:value-of select="position()"/></xsl:attribute>
										<DISPLAY pid="GROUP_1" display="none" transition="0"/>
										<DISPLAY display="inline" transition="1">
											<xsl:attribute name="pid">IMG_<xsl:value-of select="position()"/></xsl:attribute>
										</DISPLAY>
									</onclick>
								</events>
								</hyperlink>
							</xsl:for-each>
						</hyperlinks>
					</ietext>
					<xsl:text disable-output-escaping="yes">]]&gt;</xsl:text>
				</content>
			</object>

			<xsl:for-each select="products/item">
				<object type="image" left="400" top="40" width="126" height="174" display="none" begin="0">
					<xsl:attribute name="id">IMG_<xsl:value-of select="position()"/></xsl:attribute>
					<src>
						<xsl:value-of select="product_img"/>
					</src>
				</object>
			</xsl:for-each>-->

    <command type="create_group">
			<group id="GROUP_1">
				<xsl:for-each select="products/item">
					<ref>
						<xsl:attribute name="id">OBJ_<xsl:value-of select="position()"/></xsl:attribute>
					</ref>
				</xsl:for-each>
			</group>
    </command>
	</commands>
</xsl:template>

</xsl:stylesheet>
